## makefile.win32					-*- Makefile -*-
## Time-stamp: "97/08/03 01:58:42 mik"

!include ..\..\miktex.inc

docdir = $(prefix)\doc
mpdocdir = $(prefix)\doc\metapost
mpinputs = $(prefix)\metapost\misc

all: mpintro.dvi

install: mpintro.dvi mpintro.ps examples.mp mpman.dvi mpman.ps
	$(INSTALL_DATA) mpintro.dvi $(mpdocdir)\mpintro.dvi
	$(INSTALL_DATA) mpintro.ps $(mpdocdir)\mpintro.ps
	$(INSTALL_DATA) examples.mp $(mpdocdir)\examples.mp
	$(INSTALL_DATA) mpman.dvi $(mpdocdir)\mpman.dvi
	$(INSTALL_DATA) mpman.ps $(mpdocdir)\mpman.ps

mpintro.dvi:
	virmp examples.mp
	latex mpintro
	bibtex mpintro
	latex mpintro
	latex mpintro

mpintro.ps: mpintro.dvi
	dvips mpintro

mostlyclean:

clean: mostlyclean
	-del examples.1
	-del examples.2
	-del examples.3
	-del examples.4
	-del examples.5
	-del examples.6
	-del examples.7
	-del examples.8
	-del examples.9
	-del examples.log
	-del examples.mpx
	-del mpintro.aux
	-del mpintro.bbl
	-del mpintro.blg
	-del mpintro.dvi
	-del mpintro.log

distclean: clean

realclean: distclean
